TMS
cURL
curl --request PUT \ --url https://cloud.memsource.com/web/api2/v2/projectTemplates/{projectTemplateUid} \ --header 'Content-Type: application/json' \ --data ' { "templateName": "<string>", "name": "<string>", "sourceLang": "<string>", "targetLangs": [ "<string>" ], "useDynamicTitle": true, "dynamicTitle": "<string>", "workFlowSettings": [ { "assignedTo": [ { "targetLang": "<string>", "providers": [ { "type": "<string>", "id": "<string>" } ] } ] } ], "projectWorkflowSettings": { "completeUnassigned": true, "propagateTranslationsToLowerWfDuringUpdateSource": true }, "note": "<string>", "fileHandover": true, "assignedTo": [ { "targetLang": "<string>", "providers": [ { "type": "<string>", "id": "<string>" } ] } ] } '
{ "id": "<string>", "uid": "<string>", "templateName": "<string>", "name": "<string>", "sourceLang": "<string>", "targetLangs": [ "<string>" ], "note": "<string>", "useDynamicTitle": true, "dynamicTitle": "<string>", "owner": { "firstName": "<string>", "lastName": "<string>", "userName": "<string>", "email": "<string>", "role": "SYS_ADMIN", "id": "<string>", "uid": "<string>" }, "client": { "id": "<string>", "uid": "<string>", "name": "<string>" }, "domain": { "id": "<string>", "uid": "<string>", "name": "<string>" }, "subDomain": { "id": "<string>", "uid": "<string>", "name": "<string>" }, "vendor": { "id": "<string>", "uid": "<string>", "name": "<string>" }, "createdBy": { "firstName": "<string>", "lastName": "<string>", "userName": "<string>", "email": "<string>", "role": "SYS_ADMIN", "id": "<string>", "uid": "<string>" }, "dateCreated": "2023-11-07T05:31:56Z", "modifiedBy": { "firstName": "<string>", "lastName": "<string>", "userName": "<string>", "email": "<string>", "role": "SYS_ADMIN", "id": "<string>", "uid": "<string>" }, "dateModified": "{ \"epochSeconds\": 1624619701, \"nano\": 0 }", "dateTimeModified": "2023-11-07T05:31:56Z", "workflowSteps": [ { "id": "<string>", "uid": "<string>", "name": "<string>", "abbr": "<string>", "order": 123, "lqaEnabled": true } ], "workflowSettings": [ { "workflowStep": { "name": "<string>", "id": "<string>", "uid": "<string>", "order": 123, "lqaEnabled": true }, "assignedTo": [ { "targetLang": "<string>", "providers": [ { "type": "<string>", "id": "<string>", "uid": "<string>" } ] } ] } ], "projectWorkflowSettings": { "completeUnassigned": true, "propagateTranslationsToLowerWfDuringUpdateSource": true }, "businessUnit": { "id": "<string>", "uid": "<string>", "name": "<string>" }, "assignedTo": [ { "targetLang": "<string>", "providers": [ { "type": "<string>", "id": "<string>", "uid": "<string>" } ] } ] }
255
Show child attributes
4096
Default: false
only use for projects without workflows; otherwise specify in the workflowSettings object
Edited
Deprecated - use dateTimeModified field instead
"{ \"epochSeconds\": 1624619701, \"nano\": 0 }"
Was this page helpful?